List company records
curl --request POST \
--url https://api.attio.com/v2/objects/companies/records/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"$and": [
{
"domains": {
"domain": {
"$eq": "attio.com"
}
}
},
{
"description": {
"value": {
"$contains": "magic"
}
}
}
]
},
"sorts": [
{
"direction": "asc",
"attribute": "domains",
"field": "domain"
}
],
"limit": 500,
"offset": 0
}
'import requests
url = "https://api.attio.com/v2/objects/companies/records/query"
payload = {
"filter": { "$and": [{ "domains": { "domain": { "$eq": "attio.com" } } }, { "description": { "value": { "$contains": "magic" } } }] },
"sorts": [
{
"direction": "asc",
"attribute": "domains",
"field": "domain"
}
],
"limit": 500,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
$and: [
{domains: {domain: {$eq: 'attio.com'}}},
{description: {value: {$contains: 'magic'}}}
]
},
sorts: [{direction: 'asc', attribute: 'domains', field: 'domain'}],
limit: 500,
offset: 0
})
};
fetch('https://api.attio.com/v2/objects/companies/records/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {
"domains": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"domain": "attio.com",
"root_domain": "attio.com",
"attribute_type": "domain"
}
],
"name": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"value": "Attio",
"attribute_type": "text"
}
],
"description": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"value": "Customer relationship magic",
"attribute_type": "text"
}
],
"team": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "people",
"target_record_id": "121e50c2-65a3-449e-8397-c4d083d1e2e4",
"attribute_type": "record-reference"
}
],
"primary_location": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"country_code": "GB",
"line_1": null,
"line_2": null,
"line_3": null,
"line_4": null,
"locality": "London",
"region": null,
"latitude": null,
"longitude": null,
"postcode": null,
"attribute_type": "location"
}
],
"categories": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"option": {
"id": {
"workspace_id": "ca10906c-6785-464e-bb6c-b003e63c6a18",
"object_id": "cf49cf53-dbb4-4d18-87fc-28aba21d7a49",
"attribute_id": "7914c8c4-34b1-42b6-9e4c-4db8baa58bfa",
"option_id": "e37175a9-94f3-410f-bb29-78287bc1c444"
},
"title": "B2B",
"is_archived": false
},
"attribute_type": "select"
}
],
"logo_url": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "https://d1ts43dypk8bqh.cloudfront.net/v1/avatars/b792e7f9-003d-494f-a7b4-a53251c621e6",
"attribute_type": "text"
}
],
"twitter_follower_count": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": 100,
"attribute_type": "number"
}
],
"foundation_date": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "2023-01-01",
"attribute_type": "date"
}
],
"strongest_connection_user": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64",
"attribute_type": "actor-reference"
}
],
"estimated_arr_usd": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"option": {
"id": {
"workspace_id": "ca10906c-6785-464e-bb6c-b003e63c6a18",
"object_id": "cf49cf53-dbb4-4d18-87fc-28aba21d7a49",
"attribute_id": "5678c8c4-34b1-42b6-9e4c-4db8baa58u7f",
"option_id": "g73565a9-94f3-410f-bb29-78287bc1c715"
},
"title": "$500M-$1B",
"is_archived": false
},
"attribute_type": "select"
}
],
"strongest_connection_strength_legacy": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": 54.725113205693695,
"attribute_type": "number"
}
],
"employee_range": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"option": {
"id": {
"workspace_id": "ca10906c-6785-464e-bb6c-b003e63c6a18",
"object_id": "cf49cf53-dbb4-4d18-87fc-28aba21d7a49",
"attribute_id": "8264c8c4-34b1-42b6-9e4c-4db8baa58d6b",
"option_id": "gh65s5a9-94f3-410f-bb29-78287bc1c856"
},
"title": "51-250",
"is_archived": false
},
"attribute_type": "select"
}
],
"twitter": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "https://x.com/attio",
"attribute_type": "text"
}
],
"angellist": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "https://angellist.com/attio",
"attribute_type": "text"
}
],
"facebook": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "https://facebook.com/attio",
"attribute_type": "text"
}
],
"linkedin": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "https://linkedin.com/in/attio",
"attribute_type": "text"
}
],
"instagram": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "https://instagram.com/attio",
"attribute_type": "text"
}
],
"strongest_connection_strength": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"option": {
"id": {
"workspace_id": "ca10906c-6785-464e-bb6c-b003e63c6a18",
"object_id": "cf49cf53-dbb4-4d18-87fc-28aba21d7a49",
"attribute_id": "7914c8c4-34b1-42b6-9e4c-4db8baa58bfa",
"option_id": "e37175a9-94f3-410f-bb29-78287bc1c444"
},
"title": "Very strong",
"is_archived": false
},
"attribute_type": "select"
}
],
"last_calendar_interaction": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"interaction_type": "email",
"interacted_at": "2023-01-01T15:00:00.000000000Z",
"owner_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"attribute_type": "interaction"
}
],
"last_email_interaction": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"interaction_type": "email",
"interacted_at": "2023-01-01T15:00:00.000000000Z",
"owner_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"attribute_type": "interaction"
}
],
"first_interaction": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"interaction_type": "email",
"interacted_at": "2023-01-01T15:00:00.000000000Z",
"owner_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"attribute_type": "interaction"
}
],
"first_email_interaction": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"interaction_type": "email",
"interacted_at": "2023-01-01T15:00:00.000000000Z",
"owner_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"attribute_type": "interaction"
}
],
"first_calendar_interaction": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"interaction_type": "email",
"interacted_at": "2023-01-01T15:00:00.000000000Z",
"owner_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"attribute_type": "interaction"
}
],
"next_calendar_interaction": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"interaction_type": "email",
"interacted_at": "2023-01-01T15:00:00.000000000Z",
"owner_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"attribute_type": "interaction"
}
],
"last_interaction": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"interaction_type": "email",
"interacted_at": "2023-01-01T15:00:00.000000000Z",
"owner_actor": {
"type": "workspace-member",
"id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64"
},
"attribute_type": "interaction"
}
],
"created_at": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "2022-07-11T11:51:47.182000000Z",
"attribute_type": "timestamp"
}
],
"created_by": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"referenced_actor_type": "workspace-member",
"referenced_actor_id": "a976f6a9-fc2b-4acb-91e7-afb2d18b4e64",
"attribute_type": "actor-reference"
}
]
}
}
]
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "filter_error",
"message": "Error in filter."
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "The referenced object was not found."
}Companies
List company records
Lists company records, with the option to filter and sort results.
Required scopes: record_permission:read, object_configuration:read.
POST
/
v2
/
objects
/
companies
/
records
/
query
List company records
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Body
application/json
An object used to filter results to a subset of records. See the full guide to filtering and sorting here.
Example:
{
"$and": [
{
"domains": { "domain": { "$eq": "attio.com" } }
},
{
"description": { "value": { "$contains": "magic" } }
}
]
}
An object used to sort results. See the full guide to filtering and sorting here.
Sort by attribute
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
[
{
"direction": "asc",
"attribute": "domains",
"field": "domain"
}
]
The maximum number of results to return. Defaults to 500. See the full guide to pagination here.
Example:
500
The number of results to skip over before returning. Defaults to 0. See the full guide to pagination here.
Example:
0
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I